<?php
    if (defined('RETINA_CREATED') === false)
        die('no direct access');
	
	define("CUSTOM_TITLE_LEN", "60");	
	define("CUSTOM_DESC_LEN", "80");	
	define("CUSTOM_LINK_LEN", "150");	
?>
<style type="text/css">
.retina_wrap{
	padding:25px;
}
.retina_caption{
	display:inline-block;
	width:165px;	
	padding:5px 0px 5px 10px;
}
.retina_warning{	
	color:#ee7700;
}
h4{
	display:inline-block;
}
.inline-block{
	display:inline-block;	
}
.right{
	margin-left:25px;
	padding-left:15px;
	border-left: 1px dotted #999999;
}
.tweet_me{
	margin-left: 50px;
    vertical-align: middle;
	width:100px;
}
.get_key_p{
	width:250px;
	display:inline-block;
	word-spaceing:2px;
}
.get_key_small{
	font-size:0.9em
}

</style>
<div class="retina_wrap">
   <a name="retina"></a>
   <h2><?php _e('Engage user & Anti spam by Retina Post', 'retinapost'); ?></h2>
   
   <h4>
	<?php _e('The most visually appealing and user-friendly CAPTCHA alternative out there.', 'retinapost'); ?>
	<br/>
	<?php _e('It is an effective way to deliver informations to your community online.', 'retinapost'); ?>
   </h4>
   <a href="http://twitter.com/home?status=Great%20WordPress%20plugin%3A%20Engage%20user%20and%20Anti%20spam%20Retina%20Post%20http%3A%2F%2Fretinapost.com%20%23engage%20%23wordpress%20%23plugin" target="_blank"><img class="tweet_me" src="<?php echo WP_PLUGIN_URL.'/'.str_replace(basename( __FILE__),"",plugin_basename(__FILE__)); ?>tweet_me.png" alt="Tweet me" border="0" /></a>
   
   <h2><?php _e('Basic Setup', 'retinapost'); ?></h2> 
   
   <?php if ($this->keys_missing()) { ?>	 
		<form id="keys_get_form" target="_blank" id="retina_get_key" action="http://retinapost.com/register/index.php" method="post"	onsubmit="show_keys_fields()">	
		<input type="hidden" name="domain" id="generated_public_key" value="<?php echo $this->get_domain(); ?>"/>
		<input type="hidden" name="privatekey" id="generated_private_key" value="<?php echo $this->generate_private_key(get_bloginfo('admin_email')); ?>"/>
		<input type="hidden" name="app" value="wordpress"/>
		<input type="hidden" name="submited" value="true"/>
		<input type="hidden" name="close_window" value="true"/>
		<br/><br/>
			<b> <?php _e('Get automatically the keys', 'retinapost'); ?></b> &nbsp;&nbsp;&nbsp;
			<input type="submit" class="button-primary" value="<?php _e(' Get keys ', 'retinapost'); ?>"/>
			
			<p class="get_key_small">
				<?php _e('Use ', 'retinapost'); ?>
				<input type="text" name="email" size="20" value="<?php echo get_bloginfo('admin_email'); ?>" />
				<?php _e('for registration', 'retinapost'); ?>
			</p>						
		<br/><br/>
		<span onclick="show_keys_fields()" style="cursor:pointer;font-size:12px"><b>&gt;&gt;</b> <?php _e('click here if you have keys', 'retinapost'); ?></span>
		<br/><br/><br/>
	</form>
   <?php } ?>
   
   <form method="post" action="options.php">
	<?php settings_fields('retinapost_options_group'); ?>
    <h3 id="keys_title"><?php _e('Your site keys', 'retinapost'); ?></h3>
	
	<div id="keys_public" style="padding-bottom:10px">
		<div class="retina_caption"><?php _e('Public Key', 'retinapost'); ?></div>
		<input type="text" name="retinapost_options[public_key]" id="public_key" size="40" value="<?php echo $this->options['public_key']; ?>"/>
	</div>     
	<div id="keys_private" style="padding-bottom:10px">
		<div class="retina_caption"><?php _e('Private Key', 'retinapost'); ?></div>
		<input type="text" name="retinapost_options[private_key]" id="private_key" size="40" value="<?php echo $this->options['private_key']; ?>" />
	</div>

	<!--div>
		<hr size="1" style="margin:25px;margin-left: 250px; text-align: left; width: 25%;" />
	</div-->

	<h3><?php _e('User Message', 'retinapost'); ?></h3>
	<div class="inline-block">
		<div>
			<div class="retina_caption"><?php _e('Call to action', 'retinapost'); ?></div>
			<input type="text" name="retinapost_options[call_to_action]" size="40" value="<?php echo $this->options['call_to_action']; ?>" />
		</div>		
		<div>
			<div class="retina_caption"><?php _e('Incorrect message', 'retinapost'); ?></div>
			<input type="text" name="retinapost_options[incorrect_response_error]" size="40" value="<?php echo $this->options['incorrect_response_error']; ?>" />
		</div>			
	</div>
	<div class="inline-block right">
		<div>	
			<div class="retina_caption"><?php _e('Read More show in', 'retinapost'); ?></div>
			<input type="checkbox" name="retinapost_options[readmore_show]" value="1" <?php checked(1, $this->options['readmore_show']); ?> />
			<label for="retinapost_options[readmore_show]"><?php _e('comments form', 'retinapost'); ?></label>
		</div>
		<div>	
			<div class="retina_caption"><?php _e('Read More message', 'retinapost'); ?></div>
			<input type="text"  name="retinapost_options[readmore_message]" size="40" value="<?php echo $this->options['readmore_message']; ?>" />
		</div>	
	</div>

	<!-- Show plese save warning -->
	<h3 id="warning_please_save" style="display:none; color:#ffC050"><?php _e('Please Save Settings ', 'retinapost'); ?></h3>

	<p id="keys_submit" class="submit"><input type="submit" class="button-primary" title="<?php _e('Save RetinaPost options') ?>" value="<?php _e('Save RetinaPost changes') ?> &raquo;" /></p>
    <hr size="2" style="margin:25px; text-align:left; width:75%;"/>
	  
   <?php if ($this->keys_missing()) { ?>
   <script type="text/javascript">
		function hide_keys_fields()
		{
			document.getElementById('keys_title').style.display='none'; 
			document.getElementById('keys_public').style.display='none';
			document.getElementById('keys_private').style.display='none';
			document.getElementById('keys_submit').style.display='none';
		}	
		function show_keys_fields()
		{
			<?php /* If new keys generated */ ?>
			if (document.getElementById('generated_private_key').value!='') {
				document.getElementById('public_key').value = document.getElementById('generated_public_key').value;
				document.getElementById('private_key').value = document.getElementById('generated_private_key').value;
				document.getElementById('warning_please_save').style.display='block'; 
			}			
			document.getElementById('keys_title').style.display='block'; 
			document.getElementById('keys_public').style.display='block';
			document.getElementById('keys_private').style.display='block';
			document.getElementById('keys_submit').style.display='block';
			document.getElementById('keys_get_form').style.display='none';
		}	
		hide_keys_fields();
   </script>
   <?php } ?>
	<h2><?php _e('Advance Setup', 'retinapost'); ?></h2>
	
	<!-- COMMENT SETTINGS -->
	  
    <h3 class="retina_caption"><?php _e('Commnet Options', 'retinapost'); ?> </h3><input type="button"id="comment_visible" style="display:none" value="<?php _e('Show/Hide Options', 'retinapost'); ?>"/>
	<div id="comment_settings">
	<div>
		<div class="retina_caption"><?php _e('Activation', 'retinapost'); ?></div>
        <input type="checkbox" name="retinapost_options[show_in_comments]" value="1" <?php checked(1, $this->options['show_in_comments']); ?> />
        <label for="retinapost_options[show_in_comments]"><?php _e('Enable for comments form', 'retinapost'); ?></label>
	</div>
	
    <div>
		<div class="retina_caption"><?php _e('Target', 'retinapost'); ?></div>
        <input type="checkbox" id="retinapost_options[bypass_for_registered_users]" name="retinapost_options[bypass_for_registered_users]" value="1" <?php checked( 1, $this->options['bypass_for_registered_users'] ); ?> />
        <label for="retinapost_options[bypass_for_registered_users]"><?php _e('Hide for Registered Users who can', 'retinapost'); ?></label>
               <?php $this->capabilities_dropdown(); ?>
	</div>

	<div>
		<hr size="1" style="margin:25px;margin-left: 250px; text-align: left; width: 25%;" />
	</div>
	
	<div>
		<div class="retina_caption">
			<b><?php _e('For comment form use: ', 'retinapost'); ?></b>
		</div>
		<div id="buttons_c" style="display:none">
			<input type="button" id="button_feed_c" value="<?php _e(' Feeds(RSS) ', 'retinapost'); ?>" />
			&nbsp;&nbsp;<?php _e('-or-', 'retinapost'); ?>&nbsp;&nbsp;
			<input type="button" id="button_text_c"  value="<?php _e('   Text   ', 'retinapost'); ?>" /> 		
		</div>
		<input type="text" name="retinapost_options[type_c]" id="type_c" title="Type 'feed' or 'text'" value="<?php echo $this->options['type_c']; ?>" />
	</div>
	<br/>
	
	<div id="comment_feed">
		<div id="comment_feed_link">
			<?php /*show error*/ if ( $this->error_feed_c())  { ?>
								<div class="retina_warning"><?php _e('Provide a Feed URL', 'retinapost'); ?></div><?php } ?>	
			<div class="retina_caption"><?php _e('Feed URL ', 'retinapost'); ?></div>
			<input type="text"  id="comment_feed_URL" name="retinapost_options[feed_URL_c]" size="55" value="<?php echo $this->options['feed_URL_c']; ?>" />
			<input type="button"id="comment_default_feed" value="<?php _e('use default site feed', 'retinapost'); ?>"/>
			<!--br/><div class="retina_caption"></div><small><?php _e('You might use: site feed', 'retinapost');?> <code><? echo get_bloginfo('rss2_url');?></code></small>
			<br/><div class="retina_caption"></div><small><?php _e('or comments feed', 'retinapost');?> <code><?php echo get_bloginfo('comments_rss2_url'); ?></code></small-->
		</div>
		
		<!--div id="comment_feed_limit">
			<div class="retina_caption"><?php _e('Show last', 'retinapost'); ?></div>
			<input type="text" name="retinapost_options[feed_limit_c]" size="2" maxlength="2" value="<?php echo $this->options['feed_limit_c']; ?>" /> <?php _e(' feed(s)', 'retinapost'); ?> 
		</div-->
	</div> <!-- end comment_feed -->
	
	<div id="comment_text">
		<div id="comment_text_title">
			<?php /*show error*/ if ( $this->error_comment_c() && empty($this->options['custom_title_c']))   { ?>
								<div class="retina_warning"><?php _e('Provide a simple text as title', 'retinapost'); ?></div><?php } ?>	
			<div class="retina_caption"><?php _e('Title', 'retinapost'); ?></div>
			<input type="text" name="retinapost_options[custom_title_c]" 		size="60" maxlength="<?php echo CUSTOM_TITLE_LEN; ?>" value="<?php echo $this->options['custom_title_c']; ?>" />	<small><?php echo CUSTOM_TITLE_LEN; _e(' max characters','retinapost');?></small>
		</div>		 
		
		<div id="comment_text_description">
			<?php /*show error*/ if ( $this->error_comment_c() && empty($this->options['custom_description_c'])) { ?>
								<div class="retina_warning"><?php _e('Provide a simple text as description', 'retinapost'); ?></div><?php } ?>
			<div class="retina_caption"><?php _e('Description', 'retinapost'); ?></div>
			<input type="text" name="retinapost_options[custom_description_c]" 	size="60" maxlength="<?php echo CUSTOM_DESC_LEN; ?>"  value="<?php echo $this->options['custom_description_c']; ?>" /> <small><?php echo CUSTOM_DESC_LEN; _e(' max characters','retinapost');?></small>
		</div>
		
		<div id="comment_text_link">
			<div class="retina_caption"><?php _e('Link', 'retinapost'); ?></div>
			<input type="text" name="retinapost_options[custom_link_c]" 		size="60" maxlength="<?php echo CUSTOM_LINK_LEN; ?>"  value="<?php echo $this->options['custom_link_c']; ?>" />		<small><?php echo CUSTOM_LINK_LEN; _e(' max characters','retinapost');?></small>
		</div>
	</div> <!-- end comment_text -->
	<div>
		<hr size="1" style="margin:25px;margin-left: 250px; text-align: left; width: 25%;" />
	</div>
	
	<div id="comment_tab_index">	
		<div class="retina_caption"><b><?php _e('Tab index', 'retinapost'); ?></b></div>
		<input type="text" name="retinapost_options[tab_index_c]" size="2" maxlength="2" value="<?php echo $this->options['tab_index_c']; ?>" /> 
	</div>	
 
	<div style="display:none">
		<hr size="1" style="margin:25px;margin-left: 250px; text-align: left; width: 25%;"/>
    </div>
	
	<p class="submit"><input type="submit" class="button-primary" title="<?php _e('Save RetinaPost options') ?>" value="<?php _e('Save RetinaPost changes') ?> &raquo;" /></p>
	</div>
    <hr size="2" style="margin:25px; text-align:left; width:65%;"/>
	
	<!-- REGISTER SETTINGS -->
	  
    <h3 class="retina_caption"><?php _e('Registration Options', 'retinapost'); ?></h3><input type="button"id="register_visible" style="display:none" value="<?php _e('Show/Hide Options', 'retinapost'); ?>"/>
	<div id="register_settings">
	<div>
		<div class="retina_caption"><?php _e('Activation', 'retinapost'); ?></div>
        <input type="checkbox" name="retinapost_options[show_in_registration]" value="1" <?php checked(1, $this->options['show_in_registration']); ?> />
        <label for="retinapost_options[show_in_registration]"><?php _e('Enable for registration form', 'retinapost'); ?></label>
	</div>
	<div>
		<hr size="1" style="margin:25px;margin-left: 250px; text-align: left; width: 25%;" />
	</div>
	
	<div>
		<div class="retina_caption">
			<b><?php _e('For register form use: ', 'retinapost'); ?></b>
		</div>
		<div id="buttons_r" style="display:none">
			<input type="button" id="button_feed_r" value="<?php _e(' Feeds(RSS) ', 'retinapost'); ?>" />
			&nbsp;&nbsp;<?php _e('-or-', 'retinapost'); ?>&nbsp;&nbsp;
			<input type="button" id="button_text_r" value="<?php _e('   Text   ', 'retinapost'); ?>" /> 		
		</div>
		<input type="text" name="retinapost_options[type_r]" id="type_r" title="Type 'feed' or 'text'" value="<?php echo $this->options['type_r']; ?>"/>
	</div>
	<br/>
	
	<div id="register_feed">
		<div id="register_feed_link">
			<?php /*show error*/ if ( $this->error_feed_r())  { ?>
								<div class="retina_warning"><?php _e('Provide a Feed(RSS) URL', 'retinapost'); ?></div><?php } ?>	
			<div class="retina_caption"><?php _e('Feed URL ', 'retinapost'); ?></div>
			<input type="text"  id="register_feed_URL" name="retinapost_options[feed_URL_r]" size="55" value="<?php echo $this->options['feed_URL_r']; ?>" />
			<input type="button"id="register_default_feed" value="<?php _e('use default site feed', 'retinapost'); ?>"/>
		</div>
		
		<!--div id="register_feed_limit">	
			<div class="retina_caption"><?php _e('Show last', 'retinapost'); ?></div>
			<input type="text" name="retinapost_options[feed_limit_r]" size="2" maxlength="2" value="<?php echo $this->options['feed_limit_r']; ?>" /> <?php _e(' feed(s)', 'retinapost'); ?> 
		</div-->
	</div> <!-- end register_feed -->
	 
	<div id="register_text">
		<div id="register_text_title">
			<?php /*show error*/ if ( $this->error_comment_r() && empty($this->options['custom_title_r'])) { ?>
								<div class="retina_warning"><?php _e('Provide a simple text as title', 'retinapost'); ?></div><?php } ?>
			<div class="retina_caption"><?php _e('Title', 'retinapost'); ?></div>
			<input type="text" name="retinapost_options[custom_title_r]" 		size="60" maxlength="<?php echo CUSTOM_TITLE_LEN; ?>" value="<?php echo $this->options['custom_title_r']; ?>" />	<small><?php echo CUSTOM_TITLE_LEN; _e(' max characters','retinapost');?> </small>
		</div>		 
		
		<div id="register_text_description">
			<?php /*show error*/ if ( $this->error_comment_r() && empty($this->options['custom_description_r']))  { ?>
								<div class="retina_warning"><?php _e('Provide a simple text as description', 'retinapost'); ?></div><?php } ?>
			<div class="retina_caption"><?php _e('Description', 'retinapost'); ?></div>
			<input type="text" name="retinapost_options[custom_description_r]" 	size="60" maxlength="<?php echo CUSTOM_DESC_LEN; ?>"  value="<?php echo $this->options['custom_description_r']; ?>" /> <small><?php echo CUSTOM_DESC_LEN; _e(' max characters','retinapost');?></small>
		</div>
		
		<div id="register_text_link">
			<div class="retina_caption"><?php _e('Link', 'retinapost'); ?></div>
			<input type="text" name="retinapost_options[custom_link_r]" 		size="60" maxlength="<?php echo CUSTOM_LINK_LEN; ?>"  value="<?php echo $this->options['custom_link_r']; ?>" />		<small><?php echo CUSTOM_LINK_LEN; _e(' max characters','retinapost');?></small>
		</div>
	</div> <!-- end register_text -->
	<div>
		<hr size="1" style="margin:25px;margin-left: 250px; text-align: left; width: 25%;" />
	</div>
	
	<div id="register_tab_index">	
		<div class="retina_caption"><b><?php _e('Tab index', 'retinapost'); ?></b></div>
		<input type="text" name="retinapost_options[tab_index_r]" size="2" maxlength="2" value="<?php echo $this->options['tab_index_r']; ?>" /> 
	</div>
 
	<div style="display:none">
		<hr size="1" style="margin:25px;margin-left: 250px; text-align: left; width: 25%;"/>
    </div> 
   	<p class="submit"><input type="submit" class="button-primary" title="<?php _e('Save RetinaPost options') ?>" value="<?php _e('Save RetinaPost changes') ?> &raquo;" /></p>
	</div>
    <hr size="2" style="margin:25px; text-align:left; width:65%;"/>
	  
	<!-- OTHER OPTIONS --> 
	  
    <h3><?php _e('Other Options', 'retinapost'); ?></h3>

	<div>
		<div class="retina_caption"><?php _e('Standards Compliance', 'retinapost'); ?></div>
		<input type="checkbox" id ="retinapost_options[xhtml_compliance]" name="retinapost_options[xhtml_compliance]" value="1" <?php checked(1, $this->options['xhtml_compliance']); ?> />
        <label for="retinapost_options[xhtml_compliance]"><?php _e('Produce XHTML 1.0 Strict Compliant Code', 'retinapost'); ?></label>
	</div>
    
	<p class="submit"><input type="submit" class="button-primary" title="<?php _e('Save RetinaPost options') ?>" value="<?php _e('Save RetinaPost changes') ?> &raquo;" /></p>
   </form>
   
    <script type="text/javascript">
		document.getElementById('comment_visible').style.display='inline-block';
		document.getElementById('register_visible').style.display='inline-block';
		
		<?php if (!$this->error_feed_c() && !$this->error_comment_c() ){?>
		document.getElementById('comment_settings').style.display='none';
		<?php } if (!$this->error_feed_r() && !$this->error_comment_r() ){?>
		document.getElementById('register_settings').style.display='none';
		<?php }?>
		
		document.getElementById('comment_feed').style.display='none';
		document.getElementById('comment_text').style.display='none';
				
		document.getElementById('buttons_c').style.display='inline-block';
		document.getElementById('type_c').style.display='none';
		
		document.getElementById('register_feed').style.display='none';
		document.getElementById('register_text').style.display='none';
	
		document.getElementById('buttons_r').style.display='inline-block';
		document.getElementById('type_r').style.display='none';
		  

		jQuery(function($){	
			$('#comment_visible').click(function() {	
				$('#comment_settings').toggle("slow");		
			return false;
			});
			$('#register_visible').click(function() {	
				$('#register_settings').toggle("slow");		
			return false;
			}); 
			
			// Show comment feed
			$('#button_feed_c').click(function() {	
				$('#comment_text').hide();
				$('#comment_feed').show("slow");			
				document.getElementById('button_feed_c').style.border='solid 2px #50C000'; 
				document.getElementById('button_text_c').style.border='';
				document.getElementById('type_c').value='feed'; 	
			return false;
			}); 
			
			// Show comment text
			$('#button_text_c').click(function() {	
				$('#comment_feed').hide();
				$('#comment_text').show("slow");	
				document.getElementById('button_text_c').style.border='solid 2px #50C000'; 
				document.getElementById('button_feed_c').style.border='';
				document.getElementById('type_c').value='text';
			return false;
			}); 
			
			// Show register feed
			$('#button_feed_r').click(function() {
				$('#register_text').hide();
				$('#register_feed').show("slow");			
				document.getElementById('button_feed_r').style.border='solid 2px #50C000'; 
				document.getElementById('button_text_r').style.border='';
				document.getElementById('type_r').value='feed';				
			return false;
			}); 
			
			// Show register text
			$('#button_text_r').click(function() {	
				$('#register_feed').hide();
				$('#register_text').show("slow");	
				document.getElementById('button_text_r').style.border='solid 2px #50C000'; 
				document.getElementById('button_feed_r').style.border='';
				document.getElementById('type_r').value='text';				
			return false;
			}); 
			
			<?php if($this->options['type_c']=='feed') { ?>			
				$('#button_feed_c').click();
			<?php } else if ($this->options['type_c']=='text') { ?>			
				$('#button_text_c').click();
			<?php } ?>
			
			
			<?php if($this->options['type_r']=='feed') { ?>
				$('#button_feed_r').click();
			<?php } else if ($this->options['type_r']=='text') { ?>
				$('#button_text_r').click();
			<?php } ?>
	
			
			$('#comment_default_feed').click(function() {	
				$('#comment_feed_URL').val("<?php echo get_bloginfo('rss2_url');?>");		
			return false;
			}); 
			$('#register_default_feed').click(function() {	
				$('#register_feed_URL').val("<?php echo get_bloginfo('rss2_url');?>");		
			return false;
			}); 
			
});
		
   </script>
   
   <?php do_settings_sections('retinapost_options_page'); ?>
</div>